I am excited to announce the release of godog v0.11.0-rc1.

Here follows a summary of Notable Changes, the Non Backward Compatible Changes and Deprecation Notices.
The full change log is available [here](https://github.com/cucumber/godog/blob/master/CHANGELOG.md#v0110-rc1).


Notable Changes
---------------

### Write test report to file
godog is now able to write the report to a file.

- `--format cucumber` will continue to write the report to `stdout`

- `--format cucumber:report.json` will instead write the report to a file named `report.json`

**Note**, godog still only support the use of one formatter.

### Upload artifacts to the github release
The releases on github now include prebuilt binaries for:
- Linux for amd64 and arm64
- macOs (Darwin) for amd64

### Restructure of the codebase with internal packages
A lot of the internal code that used to be in the main godog package has been moved to internal packages.

The reason for this is mainly for decoupling to allow for simpler tests and to make the codebase easier to work with in general.

Non Backward Compatible Changes
-------------------------------

### Concurrency Formatter
`ConcurrencyFormatter` is now removed since the deprecation in [v0.10.0](./v0.10.0.md).

### Run and RunWithOptions
`Run` and `RunWithOptions` are now removed since the deprecation in [v0.10.0](./v0.10.0.md).

### Suite and SuiteContext
`Suite` and `SuiteContext` are now removed since the deprecation in [v0.10.0](./v0.10.0.md).

Deprecation Notices
-------------------

### BindFlags
`BindFlags(prefix, flag.CommandLine, &opts)` has been replaced by `BindCommandLineFlags(prefix, &opts)` and will be removed in `v0.12.0`.

### Executing godog
godog has received sub-commands: (build, help, run, version)

To run tests with godog, `godog [<feature>]` has been replaced with `godog run [<feature>]`.

To build a test binary, `godog --output g.test [<feature>]`has been replaced with `godog build --output g.test [<feature>]`.

Full change log
---------------

See [CHANGELOG.md](https://github.com/cucumber/godog/blob/master/CHANGELOG.md#v0110-rc1).